Bug 11299 - trouble with dual boot
trouble with dual boot
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: lilo (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-05-08 13:18 EDT by andy
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 13:47:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andy 2000-05-08 13:18:12 EDT
Trying to dual boot Red Hat 6.1 and Windows 98 Second addition.  Spoke with
an engineer from tech support, according to him I have a correctly
configured lilo.conf file.  I even tried to make a windows 98 boot disk to
see if I could boot from the floppy.  I was not able to boot from the
floppy unless I disconnect the Hard disk from the system.

Can someone look into this matter Myself and the tech support person are
stumped on this.  Below I am including a copy of my lilo.conf file.

----Lilo.conf file beings below this line----

boot=/dev/hda
map=/boot/map
install= boot/boot.p
timeout=50
default=UNIX

imgage=/boot/vmlinuz-2.2.14-5.0
	label=UNIX
	read-only
	root=/dev/hda10

other=/dev/hda1
	label=Windows
	table=/dev/hda


--- end of LILO.conf file ---

Does Anyone have a clue as to what my problem is?  The tech support person
told me to post this situation here considering there is a change that is
might be a bug.

	---Andy
Comment 1 Doug Ledford 2000-05-09 23:57:59 EDT
Your motherboard BIOS is configured to boot from the hard drive before booting
from the floppy drive, that's why a boot floppy doesn't work.  As far as not
being able to boot into Win98, I would have to know how your partition table
looks (fdisk -l on your boot disk) in order to be of more help.
Comment 2 Grady Rhodes 2001-07-10 22:49:19 EDT
I have identified what I believe is a bug in Disk Druid that causes WinME (probably all WinXX) and even its rescue disk
to freeze before any output is changed on the screen.

I used fips to shrink my 20GB (CHS=2431/255/63) drive down to about 8GB (hda1 0-1019).  WinME boots fine afterwords.
Then I installed RH7.1 and used Disk Druid to create my partitions.  Disk Druid placed /boot as hda2 (1020-1023), the
extended partition as hda3 and the rest of my partitions were logical partitions.  I also placed LILO in the MBR.

When I rebooted, Linux came up through LILO and also the boot Floppy.  But WinME, its rescue Floppy and even Dell's
diagnostic CD would not boot.  After reading some documentation I realized that DOS/Windows does not accept the
extended partition on any partition except #4.  So I used the rescue mode of the RH CD to run fdisk, delete the
extended partition and recreate it as hda4 and then recreated all of the logical partitions (deleted with extended partition).
Now everything boots properly, after only changing the extended partition from hda3 to hda4.

I set the BIOS to boot from Floppy, then CD-ROM, then HD, so the floppy did not fail to boot because the HD was first
in the list as dledford points out about andy's system.

Can someone independently confirm this problem and fix it?

-thanks
Grady
Comment 3 Jeremy Katz 2002-06-04 01:13:51 EDT
I've been able to boot other operating systems just fine with extended
partitions as the second partition.  Can you provide a link to documentation
saying an extended partition can only be partition number four?
Comment 4 Jeremy Katz 2002-06-29 17:47:11 EDT
Closing due to inactivity.  If you have further information, please reopen this bug.
Comment 5 Red Hat Bugzilla 2006-02-21 13:47:40 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.